=== modified file 'bzrlib/builtins.py'
--- bzrlib/builtins.py	2007-06-25 17:46:47 +0000
+++ bzrlib/builtins.py	2007-06-26 14:10:56 +0000
@@ -3536,6 +3536,8 @@
             help='Message to use when committing this merge')
         ]
 
+    encoding_type = 'exact'
+
     def run(self, submit_branch=None, public_branch=None, patch_type='bundle',
             sign=False, revision=None, mail_to=None, message=None):
         from bzrlib.revision import ensure_null, NULL_REVISION

=== modified file 'bzrlib/tests/blackbox/test_merge_directive.py'
--- bzrlib/tests/blackbox/test_merge_directive.py	2007-06-25 13:17:32 +0000
+++ bzrlib/tests/blackbox/test_merge_directive.py	2007-06-26 14:10:56 +0000
@@ -232,3 +232,8 @@
         os.chdir('foo')
         self.run_bzr_error(('No revisions to bundle.', ),
                             'merge-directive', '../bar')
+
+    def test_encoding_exact(self):
+        tree1, tree2 = self.prepare_merge_directive()
+        tree1.commit(u'messag\xe9')
+        self.run_bzr('merge-directive', '../tree2') # no exception raised

